<template>
	<v-card elevation="20">
		<v-card-title>Datos personales</v-card-title>
		<v-form>
			<v-card-text>
				<v-row>
					<v-col cols="12" sm="4">
						<v-text-field
							prepend-icon="fas fa-address-card"
							label="Nombre"
							readonly
							outlined
							v-model="personalData.name"
							required
						/>
					</v-col>
					<v-col cols="12" sm="4">
						<v-text-field
							prepend-icon="fas fa-address-card"
							label="Apellido paterno"
							readonly
							outlined
							v-model="personalData.fstSurname"
							required
						/>
					</v-col>
					<v-col cols="12" sm="4">
						<v-text-field
							prepend-icon="fas fa-address-card"
							label="Apellido materno"
							readonly
							outlined
							v-model="personalData.sndSurname"
							required
						/>
					</v-col>
				</v-row>
				<v-row justify="space-around">
					<v-col cols="12" sm="3">
						<v-text-field
							prepend-icon="fas fa-sort-numeric-up"
							label="Edad"
							readonly
							outlined
							min="0"
							type="number"
							suffix="años"
							v-model="personalData.age"
							required
						/>
					</v-col>
					<v-col cols="12" sm="3">
						<p slot="label" class="headline">Género</p>
						<v-radio-group
							v-model="personalData.gender"
							mandatory
							row
							prepend-icon="fa-venus-mars"
							readonly
						>
							<v-radio label="Hombre" value="Hombre" color="blue" />
							<v-radio label="Mujer" value="Mujer" color="blue" />
						</v-radio-group>
					</v-col>
					<v-col cols="12" sm="3">
						<p slot="label" class="headline">¿Pertenece a un grupo étnico?</p>
						<v-radio-group v-model="ethnicGroup" mandatory readonly row prepend-icon="fa-user-friends">
							<v-radio label="Si" value="Si" color="blue" />
							<v-radio label="No" value="No" color="blue" />
						</v-radio-group>
					</v-col>
				</v-row>
			</v-card-text>
		</v-form>
	</v-card>
</template>

<script>
import EventBus from "../../bus";

export default {
	name: "StudentPersonalData",
	data: () => ({
		ethnicGroup: "",
		personalData: {
			name: "",
			fstSurname: "",
			sndSurname: "",
			age: "",
			gender: "",
			ethnicGroup: Boolean
		}
	}),
	mounted() {
		EventBus.$on("sendPersonalData", data => {
			this.personalData.name = data.name;
			this.personalData.fstSurname = data.fstSurname;
			this.personalData.sndSurname = data.sndSurname;
			this.personalData.age = data.age;
			this.personalData.gender = data.gender;
			data.ethnicGroup
				? (this.ethnicGroup = "Si")
				: (this.ethnicGroup = "No");
		});
	}
};
</script>